Bug 1681 - wrong emacs resource in localized Xresources
: wrong emacs resource in localized Xresources
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/app-defaults)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-10 13:20 by
Modified: 2005-09-04 21:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-10 13:20:10
Emacs*font resource shouldn\'t be set system-wide

---

---

------- Comment #1 From 2002-12-11 00:30:11 -------
Пожалуйста, расскажите подробнее, чем это плохо. И что конкретно: Emacs, *font,
значение, место, где это написано?

Вот мои соображения:

Мне использование имени класса (\"Emacs\") во всех ресурсах,
связанных с emacs, 
кажется лучшим, чем просто имени \"emacs\", потому что имена, с
которыми   
происходит сопоставление могут быть разными: не только для по-разному   
запущенных программ, но и для разных frame-ов, созданных одним emacs-ом 
(например, насколько я понял, для tooltips используется имя tooltip).   
Ресурсы же, которые поставляются по умолчанию довольно общие по 
назначению, и их применение не должно, на мой взгляд, быть связано с
видом frame-а.
------- Comment #2 From 2002-12-11 00:30:11 -------
Пожалуйста, расскажите подробнее, чем это плохо. И что конкретно: Emacs, *font,
значение, место, где это написано?

Вот мои соображения:

Мне использование имени класса (\"Emacs\") во всех ресурсах,
связанных с emacs, 
кажется лучшим, чем просто имени \"emacs\", потому что имена, с
которыми   
происходит сопоставление могут быть разными: не только для по-разному   
запущенных программ, но и для разных frame-ов, созданных одним emacs-ом 
(например, насколько я понял, для tooltips используется имя tooltip).   
Ресурсы же, которые поставляются по умолчанию довольно общие по 
назначению, и их применение не должно, на мой взгляд, быть связано с
видом frame-а.
------- Comment #3 From 2002-12-11 13:05:54 -------
Для XEmacs значение этого ресурса как минимум бесполезно, поскольку
не существует italic вариантов этого шрифта. Затем,для XEmacs
проедпочтителен ресурс вида Emacs.default.attributeFont, в
случае, если означенный фонт имеет bold/italic/both варианты либо:
Emacs.default.attributeFont:
 Emacs.italic.attributeFont:
   Emacs.bold.attributeFont:
Emacs.bold-italic.attributeFont:
Наконец, в XEmacs есть возможность более тонко раздать шрифты из
ресурсов: *Label.font, *menubar.font, *popup.font, Dialog.font и т д,
так что Emacs*font - это слон в посудной лавке.
------- Comment #4 From 2002-12-11 13:05:54 -------
Для XEmacs значение этого ресурса как минимум бесполезно, поскольку
не существует italic вариантов этого шрифта. Затем,для XEmacs
проедпочтителен ресурс вида Emacs.default.attributeFont, в
случае, если означенный фонт имеет bold/italic/both варианты либо:
Emacs.default.attributeFont:
 Emacs.italic.attributeFont:
   Emacs.bold.attributeFont:
Emacs.bold-italic.attributeFont:
Наконец, в XEmacs есть возможность более тонко раздать шрифты из
ресурсов: *Label.font, *menubar.font, *popup.font, Dialog.font и т д,
так что Emacs*font - это слон в посудной лавке.
------- Comment #5 From 2003-02-10 21:19:44 -------
Я оставлю в /etc/X11/app-defaults/Emacs и в /etc/X11/Xresources только

Emacs.default.attributeFamily: fixed

из всего, что связано со шрифтами. Для 21.2-alt14 в локализованных
/etc/X11/Xresources.* не нужно ничего.

Я проверил: в emacs-21.2-alt12 Emacs.default.attributeFont в таком случае всё
ещё работает: т.е. указанное его значение в ресурсах перекрывает
Emacs.deafult.attributeFamily из /etc/X11/app-defaults/Emacs (и/или XRDB).
------- Comment #6 From 2003-02-10 21:19:44 -------
Я оставлю в /etc/X11/app-defaults/Emacs и в /etc/X11/Xresources только

Emacs.default.attributeFamily: fixed

из всего, что связано со шрифтами. Для 21.2-alt14 в локализованных
/etc/X11/Xresources.* не нужно ничего.

Я проверил: в emacs-21.2-alt12 Emacs.default.attributeFont в таком случае всё
ещё работает: т.е. указанное его значение в ресурсах перекрывает
Emacs.deafult.attributeFamily из /etc/X11/app-defaults/Emacs (и/или XRDB).
------- Comment #7 From 2003-02-11 03:05:13 -------
For emacs-21.2-alt14 + app-defaults-0.2.4-alt1, there is no need to set such a
resource, and it is not set. But

Emacs.default.attributeFamily: fixed

is set. (Iy can overriden by the same one, or Emacs.default.attributeFont.)
------- Comment #8 From 2003-02-11 03:05:13 -------
For emacs-21.2-alt14 + app-defaults-0.2.4-alt1, there is no need to set such a
resource, and it is not set. But

Emacs.default.attributeFamily: fixed

is set. (Iy can overriden by the same one, or Emacs.default.attributeFont.)